local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireEffect = ____shouldFire.shouldFireEffect
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostEffectRenderFilter = __TS__Class()
local PostEffectRenderFilter = ____exports.PostEffectRenderFilter
PostEffectRenderFilter.name = "PostEffectRenderFilter"
__TS__ClassExtends(PostEffectRenderFilter, CustomCallback)
function PostEffectRenderFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireEffect
    self.postEffectRender = function(____, effect, renderOffset)
        self:fire(effect, renderOffset)
    end
    self.callbacksUsed = {{ModCallback.POST_EFFECT_RENDER, self.postEffectRender}}
end
return ____exports
